Skip to main content
GET
/
v2
/
datasets
/
insider_transactions
Get the Insider transactions dataset
curl --request GET \
  --url https://api.tokenterminal.com/v2/datasets/insider_transactions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tokenterminal.com/v2/datasets/insider_transactions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tokenterminal.com/v2/datasets/insider_transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "timestamp": "<string>",
    "project_name": "<string>",
    "project_id": "<string>",
    "market_sector_id": "<string>",
    "market_sector_name": "<string>",
    "chain_id": "<string>",
    "chain_name": "<string>",
    "token_standard": "<string>",
    "token_symbol": "<string>",
    "token_address": "<string>",
    "insider_account_address": "<string>",
    "insider_account_title": "<string>",
    "counterparty_account_address": "<string>",
    "counterparty_account_title": "<string>",
    "transaction_hash": "<string>",
    "transaction_type": "<string>",
    "transaction_number": "<string>",
    "dex_name": "<string>",
    "action_type": "<string>",
    "amount_native": 123,
    "amount_usd": 123,
    "flow_usd": 123,
    "percentage_of_position": 123,
    "post_transaction_position": 123,
    "position_creation_timestamp": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

project_ids
string[]

Allows you to select one or more of the projects available in the dataset. When including multiple projects, separate each one with a comma. Example: tether,circle.

chain_ids
string[]

Allows you to select one or more of the chains available in the dataset. When including multiple chains, separate each one with a comma. Example: ethereum,arbitrum.

order_by
string<string>

Allows you to select a field by which the response array is sorted.

order_direction
string<string>

Allows you to define order direction for the field selected in order_by. If no order_direction is selected, the response defaults to asc.

limit
number<number>

Limit the number of results returned. Usage through API reference has max limit of 50.

Response

200 - application/json

OK

data
object

The object containing the data for a successful response.